> ## Documentation Index
> Fetch the complete documentation index at: https://levers9.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get byoc pool



## OpenAPI

````yaml /api-reference/openapi/controlplane.openapi.json get /pools/{poolName}/byoc
openapi: 3.0.0
info:
  title: levers9 controlplane API
  version: 1.0.0
  description: >-
    REST view of the levers9 controlplane gRPC service, served by the
    controlplane on port 1994. Authenticate with `Authorization: Bearer
    <token>`.
servers:
  - url: https://levers9.uselevers.com
    description: local controlplane
  - url: https://api.uselevers.com
    description: hosted
security:
  - bearer: []
tags:
  - name: ControlPlaneService
paths:
  /pools/{poolName}/byoc:
    get:
      tags:
        - ControlPlaneService
      summary: Get byoc pool
      operationId: ControlPlaneService_GetBYOCPool
      parameters:
        - name: poolName
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/controlplaneGetBYOCPoolResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    controlplaneGetBYOCPoolResponse:
      type: object
      properties:
        ok:
          type: boolean
        errMsg:
          type: string
        pool:
          $ref: '#/components/schemas/controlplanePrivatePool'
        ready:
          type: boolean
        readyMachineCount:
          type: integer
          format: int64
        machineCount:
          type: integer
          format: int64
        byoc:
          $ref: '#/components/schemas/controlplaneBYOCPoolState'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    controlplanePrivatePool:
      type: object
      properties:
        name:
          type: string
        selector:
          type: string
        config:
          $ref: '#/components/schemas/controlplanePoolConfig'
        reservations:
          type: array
          items:
            $ref: '#/components/schemas/controlplaneProviderInstance'
        committedSpendMicros:
          type: string
          format: int64
        status:
          type: string
        source:
          type: string
        createdAt:
          type: string
          format: date-time
        expiresAt:
          type: string
          format: date-time
        machineCount:
          type: integer
          format: int64
        readyMachineCount:
          type: integer
          format: int64
        reservedNodes:
          type: integer
          format: int64
        byoc:
          $ref: '#/components/schemas/controlplaneBYOCPoolState'
    controlplaneBYOCPoolState:
      type: object
      properties:
        provider:
          type: string
        accountId:
          type: string
        region:
          type: string
        resourceName:
          type: string
        resourceUrl:
          type: string
        destroyUrl:
          type: string
        phase:
          type: string
        desiredNodes:
          type: integer
          format: int64
        maxNodes:
          type: integer
          format: int64
        targetSandboxes:
          type: integer
          format: int64
        sandboxesPerNode:
          type: integer
          format: int64
        instanceType:
          type: string
        machineCount:
          type: integer
          format: int64
        readyMachineCount:
          type: integer
          format: int64
        message:
          type: string
        hourlyCostMicros:
          type: string
          format: int64
        totalHourlyCostMicros:
          type: string
          format: int64
        directScaleEnabled:
          type: boolean
        gpu:
          type: string
        gpuCount:
          type: integer
          format: int64
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
    controlplanePoolConfig:
      type: object
      properties:
        name:
          type: string
        gpu:
          type: array
          items:
            type: string
        nodes:
          type: integer
          format: int64
        ttl:
          type: string
        maxSpend:
          type: number
          format: double
        providers:
          type: array
          items:
            type: string
        regions:
          type: array
          items:
            type: string
        minReliability:
          type: number
          format: double
        selector:
          type: string
        mode:
          type: string
        transport:
          type: string
        fallback:
          type: string
        priority:
          type: integer
          format: int32
        offerId:
          type: string
        containerRuntime:
          type: string
          description: Runtime for workers in this pool.
    controlplaneProviderInstance:
      type: object
      properties:
        id:
          type: string
        poolName:
          type: string
        provider:
          type: string
        offerId:
          type: string
        status:
          type: string
        gpuCount:
          type: integer
          format: int64
        hourlyCostMicros:
          type: string
          format: int64
        source:
          type: string
        createdAt:
          type: string
          format: date-time
        expiresAt:
          type: string
          format: date-time
        billingRenewalAt:
          type: string
          format: date-time
        statusMessage:
          type: string
        terminatingReason:
          type: string
        machineId:
          type: string
        cloud:
          type: string
        region:
          type: string
        nodeCount:
          type: integer
          format: int64
        instanceType:
          type: string
        cpuMillicores:
          type: string
          format: int64
        memoryMb:
          type: string
          format: int64
        storageMb:
          type: string
          format: int64
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.